> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reserve Balance

> Retrieve reserve account balances for a company, optionally filtered by account type and date range.



## OpenAPI

````yaml openapi/zeal-api.json get /provider-accounts/balances
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /provider-accounts/balances:
    get:
      summary: Get Reserve Balance
      operationId: get-provider-balance
      parameters:
        - name: companyID
          in: query
          description: Zeal company ID
          required: true
          schema:
            type: string
        - name: account_type
          in: query
          description: 'Type of reserve account. Can be: `reserve` or `direct_pay_reserve`'
          schema:
            type: string
        - name: start_at
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            format: int32
            default: 25
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - companyID: 7b11e9d6275c429f2a8361c5b47a2b9
                        providerAccountID: 5d08b21f63784290c58a2d06128f4d75
                        account_type: reserve
                        available_balance: 100
                        current_balance: 100
                        status: open
                    meta:
                      next: null
                      previous: null
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        companyID:
                          type: string
                          example: 7b11e9d6275c429f2a8361c5b47a2b9
                        providerAccountID:
                          type: string
                          example: 5d08b21f63784290c58a2d06128f4d75
                        account_type:
                          type: string
                          example: reserve
                        available_balance:
                          type: integer
                          example: 100
                          default: 0
                        current_balance:
                          type: integer
                          example: 100
                          default: 0
                        status:
                          type: string
                          example: open
                  meta:
                    type: object
                    properties:
                      next:
                        path: /orders-4
                      previous:
                        path: /orders-4
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Contractor Payment with this payment ID does not exist
                        code: 50
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Contractor Payment with this payment ID does not
                            exist
                        code:
                          type: integer
                          example: 50
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````